Resolve companies in a saved Accounts view
curl --request GET \
--url https://api.monaco.com/v1/accounts/views/{account_view_id}/companiesimport requests
url = "https://api.monaco.com/v1/accounts/views/{account_view_id}/companies"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/accounts/views/{account_view_id}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/accounts/views/{account_view_id}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/accounts/views/{account_view_id}/companies"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/accounts/views/{account_view_id}/companies")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/accounts/views/{account_view_id}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"account_view_source": {
"account_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accounts_in_view": 1,
"source_companies": 1,
"unresolved_source_count": 1,
"unresolved_source_names": [
"<string>"
],
"unresolved_names_omitted": 1,
"incomplete_source_count": 0,
"warnings": [
"<string>"
]
},
"items": [
{
"id": "<string>",
"name": "<string>",
"website": "<string>",
"linkedin_url": "<string>",
"industries": [
"<string>"
],
"employee_count": 123,
"founded_year": 123,
"company_status": "<string>",
"description": "<string>",
"total_funding_amount": 123,
"recent_funding_round_name": "<string>",
"recent_funding_round_date": "2023-12-25",
"country": "<string>",
"company_keywords": "<string>",
"structured_description": [],
"contact_titles": [
"<string>"
],
"contact_title_count": 123,
"research": {
"yes_field_ids": [],
"no_field_ids": []
}
}
],
"pagination_meta": {
"current_page": 123,
"page_size": 123,
"total_pages": 123,
"total_count": 123
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Accounts
Resolve companies in a saved Accounts view
Read WorldDB companies for the selected Accounts view. Source resolution is shared with TAM Search and Preview; unresolved sources are reported separately.
GET
/
v1
/
accounts
/
views
/
{account_view_id}
/
companies
Resolve companies in a saved Accounts view
curl --request GET \
--url https://api.monaco.com/v1/accounts/views/{account_view_id}/companiesimport requests
url = "https://api.monaco.com/v1/accounts/views/{account_view_id}/companies"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/accounts/views/{account_view_id}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/accounts/views/{account_view_id}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/accounts/views/{account_view_id}/companies"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/accounts/views/{account_view_id}/companies")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/accounts/views/{account_view_id}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"account_view_source": {
"account_view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accounts_in_view": 1,
"source_companies": 1,
"unresolved_source_count": 1,
"unresolved_source_names": [
"<string>"
],
"unresolved_names_omitted": 1,
"incomplete_source_count": 0,
"warnings": [
"<string>"
]
},
"items": [
{
"id": "<string>",
"name": "<string>",
"website": "<string>",
"linkedin_url": "<string>",
"industries": [
"<string>"
],
"employee_count": 123,
"founded_year": 123,
"company_status": "<string>",
"description": "<string>",
"total_funding_amount": 123,
"recent_funding_round_name": "<string>",
"recent_funding_round_date": "2023-12-25",
"country": "<string>",
"company_keywords": "<string>",
"structured_description": [],
"contact_titles": [
"<string>"
],
"contact_title_count": 123,
"research": {
"yes_field_ids": [],
"no_field_ids": []
}
}
],
"pagination_meta": {
"current_page": 123,
"page_size": 123,
"total_pages": 123,
"total_count": 123
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 500